function dop=dopSumReport(dop)
% dopOSCCI Mark II: dopSumReport ~ 04-11-2011 (last edit)
%
% individual report on the dopOSCCI summary
%
try
    %% title
    dop.tmp.txtFill='--------------------------------------------------------';
    fprintf('\n%s\n%s\n%s\n\t%s\n\n',...
        dop.tmp.txtFill,dop.tmp.txtFill,...
        ['Summary completed for: ',dop.sum.fileName],...
        ['(from: ',dop.sum.filePath,'/)']);
    if ~dop.sum.skip && ~dop.sum.quit
        %% event trials found + missing data
        for i=1:length(dop.mk.evNames)
            dop.tmp.en=dop.mk.evNames{i}; % tmp event name
            disp(dop.mk.(dop.tmp.en).report);
            %% > if missing
            if isfield(dop.stack,'report')
                if isfield(dop.stack.report,dop.tmp.en)
                    if isfield(dop.stack.report.(dop.tmp.en),'start')
                        disp(dop.stack.report.(dop.tmp.en).start);
                    end
                    if isfield(dop.stack.report.(dop.tmp.en),'finish')
                        disp(dop.stack.report.(dop.tmp.en).finish);
                    end
                end
            end
        end
        
        %% LI report
        % dop.tmp.es={'all','scrn'}; % epoch selection
        for i=1:length(dop.scrn.labels) %length(dop.def.saveEpochSelection) %dop.tmp.es)
            if dop.scrn.saveData(i)
                dop.tmp.es=dop.scrn.labels{i};
                fprintf('%s\n',['Laterality Index: (',dop.tmp.es,' epochs)']);
                for j=1:length(dop.mk.evNames)
                    if dop.def.evType(j)
                        dop.tmp.en=dop.mk.evNames{j}; % tmp event name
                        fprintf('\t%s\n',['Event: ',dop.tmp.en]);
                        disp(dop.li.(dop.tmp.en).(dop.tmp.es).report);
                    end
                end
            end
        end
    else
        if dop.sum.skip
            %             fprintf('\t%s\n','Summary skipped:');
            dopSkipNotes('fileTxt','A4skipRecord',... % could be A4 but not renaming Mat file now
                'saveDir',[dop.def.saveDir,'notes/'],'saveNotes',dop.def.saveNotes(3),...'fileNameLoc',dop.sav.skipNotesFileNameLoc,...
                'skipList',{dop.sum.fileNameLoc},...
                'skip',dop.sum.skip,'skipReason',dop.sum.skipReason,...
                'saveData',dop.def.saveData);
        else
            fprintf('\t%s\n','Summary quit');
        end
    end
    fprintf('%s\n\n',dop.tmp.txtFill);
catch err
    %% catch dopOSCCI error
    %
save(dopOSCCIdebug(mfilename));throw(err); 
    %     dopOSCCIcrash(err,dop,mfilename);
end